#ifndef ENCODER_H
#define ENCODER_H

#include "stdint.h"

#define ENCODER_CW	1
#define ENCODER_CCW	-1
#define ENCODER_NO_CHANGE	0
#define ENCODER_A	1
#define ENCODER_B	0

#define ENTPRELLEN	100 //[ms]

uint8_t io_input_read(uint8_t phase);
void encoderInit();
int8_t encoderRead(int16_t *absolute_value); // max: -32768 ... +32767
void gpioEncoderInit();

#endif
