#include "gpio.h"
#include "stm32f411xe.h"
#include "stm32f4xx_hal.h"


/* Init Pins */
void gpioInit()
{
	/* Variables */
	GPIO_InitTypeDef init;


	/* CLKs enable only if needed */
	__HAL_RCC_GPIOA_CLK_ENABLE();
	__HAL_RCC_GPIOC_CLK_ENABLE();
	__HAL_RCC_GPIOB_CLK_ENABLE();


	// Pin5,Port A, OUTPUT
	init.Pin = GPIO_PIN_5;
	init.Mode = GPIO_MODE_OUTPUT_PP;
	init.Pull = GPIO_NOPULL;
	init.Speed = GPIO_SPEED_FAST;
	HAL_GPIO_Init(GPIOA, &init);


}
